gibbs=function(x,y,maxiter){

x=as.matrix(cbind(1,x))
xtxi=solve(t(x)%*%x)
mn=xtxi%*%t(x)%*%y

k=length(mn)
n=length(y)

b=matrix(0,maxiter,k)
s2=matrix(1,maxiter)

for(i in 2:maxiter){
#sample b
b[i,]=t(mn) + t(rnorm(k))%*%chol(s2[i-1]*xtxi)

#sample s2
e=y-x%*%b[i,]

s2[i]=1/rgamma(1,n/2,.5*t(e)%*%e)
if(i%%100==0){print(i)}
}
return(cbind(b,s2))
}