#appendix 1

#independence sampler with nonuniform proposal

set.seed(51265)
f=function(cand,prev){
fcand=.6*(cand==1)+.3*(cand==2)+.1*(cand==3)
fprev=.6*(prev==1)+.3*(prev==2)+.1*(prev==3)

hastings=(.2*(prev==1)+.3*(prev==2)+.5*(prev==3))/
(.2*(cand==1)+.3*(cand==2)+.5*(cand==3))

return((fcand/fprev)*hastings)
}

n=5000
x=matrix(1,n)
c=u=r=acc=matrix(1,n)
for(i in 2:n){

c[i]=sample(c(1,2,3),1,p=c(.2,.3,.5))

r[i]=f(c[i],x[i-1])
x[i]=x[i-1]; acc[i]=0
u[i]=runif(1)
if(r[i]>u[i]){x[i]=c[i]; acc[i]=1}
}
res=cbind(c(1,x[-1000]),c,r,u,acc)[-1,]
