set.seed(413)
mu=matrix(5,1000)
sigma2=matrix(8,1000)
accept.rate=matrix(1,1000)

logpost=function(mu,sigma2){
ybar=5.77; s2=8.52; n=4311
logpost=-(n/2+1)*log(sigma2)+(-(n*(mu-ybar)^2 + (n-1)*s2) /(2*sigma2))
return(logpost)}

c.mu=.1
s.mu=.1

for(i in 2:5000){

mu[i]=mu[i-1]; sigma2[i]=sigma2[i-1]
#propose candidate
mcand=runif(1,mu[i-1]-c.mu,mu[i-1]+c.mu)
s2cand=runif(1,sigma2[i-1]-s.mu,sigma2[i-1]+s.mu)

#accept/reject candidate
accept=0

if(s2cand>0){
r=logpost(mcand,s2cand)-logpost(mu[i-1],sigma2[i-1])
if(r>log(runif(1))){mu[i]=mcand; sigma2[i]=s2cand; accept=1}
}
accept.rate[i]=((i-1)*accept.rate[i-1]+accept) / i
if(i%%100==0){print(i)}
}