gibbs_probit=function(x,y,maxiter){
x=as.matrix(cbind(1,x))
xtxi=solve(t(x)%*%x)

k=ncol(x)
n=length(y)

b=matrix(0,maxiter,k)
ystar=matrix(NA,maxiter,5)

for(i in 2:maxiter){

#sample z

xb=x%*%matrix(b[i-1,],k,1)
#print(xb[1:10])

p=pnorm(0,xb,1)
u=runif(n,(y*p),p^(y==0))
z=qnorm(u,xb,1)

ystar[i,]=z[c(1000,1000,10000,20000)]

#sample b
mn=xtxi%*%t(x)%*%z
b[i,]=t(mn) + t(rnorm(k))%*%chol(xtxi)

if(i%%100==0){print(i)}
}
return(cbind(b,ystar))
}